-------------
--root.lua
--------------
lock.singleton()

-------------------------------
-- システムのロード
-------------------------------
archive.dofile("system.lua")

-------------------------------
-- グラフィックデバイスの作成
-------------------------------
gui.create(800,600)

--BASICの動作に関するフラグ
basic.error_undefined_variable=true -- 未定義変数を参照するとエラーが出るようにするフラグ。基本trueで。


function main ()
	--メインルーチン
	--BASICのソースファイルのロード
	for i=0,99 do
		local fname=string.format("%02d.txt",i)
		if archive.seek(fname) then
			flag=true
			local str=encoding.ansi_to_utf8(archive.read("\n"))
			basic.loadscript(fname,str)
		end
	end

	--BASICのデバッグ用の機能設定
--	basic.setlog(true) --このパラメータをtrueにしたらBASICエラー時に変数リストのログを吐きます。
--	basic.setsrcdump(true) --このパラメータをtrueにしたらBASICのログにBASICソースコードのダンプリストが含まれるようになります。

	--BASICの実行
	basic.run() -- 無限ループ
end

--プログラム実行(このファイルの最後にすること。無限ループのため、ここより下は実行されないことになるので）
main()

